Bug 171187 - Allows time zones to be selected, but does not provide a way to enter the time
Allows time zones to be selected, but does not provide a way to enter the time
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: AnacondaUI
  Show dependency treegraph
 
Reported: 2005-10-19 03:31 EDT by Chris
Modified: 2012-08-03 15:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-18.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 15:22:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris 2005-10-19 03:31:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
When installing a new OS, we get the opportunity to select what time zone will be used.

We do not get a chance to change the PC's clock.

This means that all the dates/times on all the installed files are wrong.

This causes quite a lot of problems if the PC has been shipped "back a time zone", since when the OS finally boots and asks us for the time, all the files in the OS end up having time stamps in the future.

Version-Release number of selected component (if applicable):
ES4 update 2

How reproducible:
Always

Steps to Reproduce:
1. Get a PC with the clock set right in your own time zone
2. Install using some other zone

Actual Results:  wrong times on most files

Expected Results:  correct times

Additional info:
Comment 1 Chris Lumens 2007-03-14 16:39:12 EDT
We already do this in firstboot.  It seems like we could just move the code back
into anaconda and set it there.  However, we're probably not going to be able to
put this into a RHEL update release.
Comment 2 Bug Zapper 2008-11-25 20:48:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jon Stanley 2008-11-26 14:13:19 EST
Fixing version to align with rawhide again.  Sorry for the noise.
Comment 4 Curtis Doty 2009-02-02 10:53:32 EST
This needs to happen in anaconda not firstboot. Otherwise the installed mtimes can still be all back to the future.

I'm compulsive about putting these two lines into kickstart %pre:

  rdate -s [rfc868-server1] [rfc868-server2] [rfc868-server3]
  hwclock -w

However, only a few public ntp servers such as time.nist.gov support the coarse rdate/time protocol.
Comment 5 Bug Zapper 2009-06-09 05:08:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Chris Lumens 2009-12-07 10:35:46 EST
I am unlikely to get to this any time soon, so reassigning back to anaconda-maint-list in case someone else has free time and an itch.  It's going to get buried being assigned to me.
Comment 7 Ales Kozumplik 2010-03-10 09:12:35 EST
I'm not sure whether moving the time dialog from bootloader would a good change. Chris, were you planning to implement this?

Chris, Jon and Curtis: isn't it possible in these cases for you to setup the time in BIOS before the computer boots?

Unless I am convinced this is really useful, I am planning to close this as won't fix.

Ales
Comment 8 Chris Lumens 2010-03-10 09:39:35 EST
Ales - yes, it can be useful as in some cases, the system can end up with files with times later than the actual time, and the boot process will complain about that.  I was always planning on going back and looking at our timezone screen again to see how (1) it could be brought more in line with what s-c-date does, and (2) we could work in a time setting widget.
Comment 9 Bug Zapper 2010-03-15 07:49:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-07-30 06:28:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Chris Lumens 2012-08-03 15:22:05 EDT
The newui in anaconda-18.3 includes this functionality.

Note You need to log in before you can comment on or make changes to this bug.